from datetime import datetime


DATE_FORMAT = '%Y-%m-%dT%H:%M:%SZ' 
t1 = datetime.strptime('2012-06-23T12:10:00Z', DATE_FORMAT ) 
t2 = datetime.strptime('2012-06-24T13:12:00Z', DATE_FORMAT )
  
t3 = t2-t1

print(t3)  
print(t3.total_seconds())


print ('dia  :', t1.day)  
print ('hora  :', t1.hour)
print ('minuto:', t1.minute)
print ('segundo:', t1.second)

